Page MenuHomePhabricator

App impressions for 2017 and 2018
Closed, ResolvedPublic

Description

As a reminder, there seemed to have been an impression issue on the Android app in December. To look further into this, it would be helpful to get updated impression numbers from Dec 2018 vs 2017 in order for us to be able to make a YoY comparison?

What we need:

  • impression numbers from the Android and and iOs app from 1-31st of December 2017 and the same numbers from Dec 1-31st 2018.

Let me know if you have any questions.

Thank you!

Event Timeline

jrobell created this task.Feb 11 2019, 4:38 PM

If this is about the fund raising banner impression in the app, I think @JoeWalsh has done some calculations for Dec 2018. But I don't think we have any data back to Dec 2017, @mpopov do you know?

If this is about the fund raising banner impression in the app, I think @JoeWalsh has done some calculations for Dec 2018. But I don't think we have any data back to Dec 2017, @mpopov do you know?

Some of it is probably (hopefully) sanitized by now (install IDs scrubbed) but we might still have some anonymized impression data in MySQL.

@mpopov Just to clarify, this the the discussion we've been having over email since December, email SL "Re: Low Android performance (app fundraising)" . Please let me know if you have any questions. Thanks!

kzimmerman assigned this task to mpopov.Feb 26 2019, 8:21 PM
kzimmerman added subscribers: Jksamra, kzimmerman.

Assigning to @mpopov, who is balancing this with work on Android Notifications, SEO Analysis, Search metric migration, and Android Navigation analysis. @mpopov will document queries for @Jksamra to use in the future if needed.

To summarize from the email thread: @mpopov already provided the 2018 numbers for Android and iOS. This revealed that Android had fewer impressions than iOS. @jrobell, you would like to see the same numbers from 2017 for comparison purposes. Correct?

NOTE: there is a chance that 2017 data is no longer available (the personally identifiable info should have been scrubbed sometime in early 2018). Mikhail will investigate, follow up here, and close the ticket if that is the case.
kzimmerman triaged this task as Normal priority.Feb 26 2019, 8:22 PM
kzimmerman moved this task from Triage to Next Up on the Product-Analytics board.
mpopov closed this task as Resolved.EditedFeb 28 2019, 10:13 PM
mpopov moved this task from Next Up to Doing on the Product-Analytics board.

Hi, @jrobell! On Android: 40711 impressions in Dec 2017, 35882 impressions in Dec 2018 – a decrease of 11.8%

For reference, the number of active unique users on Android in December was 5.3M in 2017 and 4.7M in 2018 – a decrease of 11.7% (Hive query: SELECT year, unique_count FROM wmf.mobile_apps_uniques_monthly WHERE year IN(2017, 2018) AND month = 12 AND platform = 'Android')

Unfortunately I could not find any data for iOS from 2017. I think Feed analytics in iOS was added sometime summer 2018. For @Jksamra's future reference, the query I used with the EventLogging data in MariaDB is:

SELECT COUNT(1) AS n_impressions
FROM (
  SELECT `timestamp`
  FROM MobileWikiAppFeed_17836918
  WHERE `timestamp` >= '20181201' AND `timestamp` < '20190101'
    AND INSTR(userAgent, '"os_family": "Android"') > 0
    AND INSTR(userAgent, '"wmf_app_version": "2.') > 0
    AND event_cardType = 15
    AND event_action = 'cardShown'
  UNION ALL
  SELECT `timestamp`
  FROM MobileWikiAppFeed_18115458
  WHERE `timestamp` >= '20181201' AND `timestamp` < '20190101'
    AND INSTR(userAgent, '"os_family": "Android"') > 0
    AND INSTR(userAgent, '"wmf_app_version": "2.') > 0
    AND event_cardType = 15
    AND event_action = 'cardShown'
  UNION ALL
  SELECT `timestamp`
  FROM MobileWikiAppFeed_16432467
  WHERE `timestamp` >= '20181201' AND `timestamp` < '20190101'
    AND INSTR(userAgent, '"os_family": "Android"') > 0
    AND INSTR(userAgent, '"wmf_app_version": "2.') > 0
    AND event_cardType = 15
    AND event_action = 'cardShown'
) AS combined_impressions;

for 2018

and

SELECT COUNT(1) AS n_impressions
FROM MobileWikiAppFeed_16432467
WHERE `timestamp` >= '20171201' AND `timestamp` < '20180101'
  AND INSTR(userAgent, '"os_family": "Android"') > 0
  AND INSTR(userAgent, '"wmf_app_version": "2.') > 0
  AND event_cardType = 15
  AND event_action = 'cardShown';

for 2017